<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync:  Fichier source de src/test3.py</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('test3_8py_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">test3.py</div>  </div>
</div><!--header-->
<div class="contents">
<a href="test3_8py.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="namespacesrc_1_1test3.html">    1</a></span>&#160;<span class="comment">#!/usr/bin/python3</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">import</span> os, os.path, re</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno"><a class="line" href="namespacesrc_1_1test3.html#a45b0ce1f94d926ec2a8ee76b8af9fd23">    5</a></span>&#160;python3safe=<span class="keyword">True</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keywordflow">if</span> __name__==<span class="stringliteral">&quot;__main__&quot;</span>:</div>
<div class="line"><a name="l00008"></a><span class="lineno"><a class="line" href="namespacesrc_1_1test3.html#a508d8c2c1f4a92f7aefc0f123765648a">    8</a></span>&#160;    files=os.listdir(<span class="stringliteral">&quot;.&quot;</span>)</div>
<div class="line"><a name="l00009"></a><span class="lineno"><a class="line" href="namespacesrc_1_1test3.html#ad0cf60e93d81f95ca96bcb249e012c1c">    9</a></span>&#160;    pattern=re.compile(<span class="stringliteral">&quot;.*\.py$&quot;</span>)</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;    files = [f <span class="keywordflow">for</span> f <span class="keywordflow">in</span> files <span class="keywordflow">if</span> pattern.search(f) <span class="keywordflow">and</span> <span class="stringliteral">&quot;Ui_&quot;</span> <span class="keywordflow">not</span> <span class="keywordflow">in</span> f]</div>
<div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="namespacesrc_1_1test3.html#ac714048be8fa4aa5872efdf2eed083ee">   11</a></span>&#160;    safe=[]</div>
<div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="namespacesrc_1_1test3.html#a2a2921a59c7ebb8594e831cf21fca998">   12</a></span>&#160;    notsafe=[]</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    <span class="keywordflow">for</span> f <span class="keywordflow">in</span> files:</div>
<div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="namespacesrc_1_1test3.html#a91815fcf72debbfa42813b9e4c7e9437">   14</a></span>&#160;        moduleName=f.replace(<span class="stringliteral">&quot;.py&quot;</span>,<span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;        <span class="keywordflow">try</span>:</div>
<div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="namespacesrc_1_1test3.html#af7fcfbb965923d97a76b9a33b5ece7a6">   16</a></span>&#160;            module=__import__(moduleName)</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;            <span class="keywordflow">if</span> module.python3safe:</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;                safe.append(f)</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;        <span class="keywordflow">except</span>:</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;            notsafe.append(f)</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keywordflow">print</span> (<span class="stringliteral">&quot;Safe modules&quot;</span>); print(safe)</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keywordflow">print</span> (<span class="stringliteral">&quot;UnSafe modules&quot;</span>); <span class="keywordflow">print</span> (notsafe)</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="test3_8py.html">test3.py</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
